#include "ordertxt.ih"

bool OrderTxt::contains(string const &name) const
{
    auto &vect = d_current->second;
    return find_if(vect.begin(), vect.end(),
                    [&](Element const &element)
                    {
                        return element.name == name;
                    }
            ) 
            != vect.end();
}
